• 1 رای - 5 میانگین
  • 1
  • 2
  • 3
  • 4
  • 5
کمک در ساخت امولاتور اندروید.
#1
سلام دوستان.
من هر مدل امولاتور میسازم خطا میده.
کسی میتونه کمکم کنه؟
کد ماژول من اینه:
کد پی‌اچ‌پی:
apply plugin'com.android.application'

android {
    
compileSdkVersion 'android-N'
    
buildToolsVersion '24.0.1'

    
defaultConfig {
        
applicationId "com.example.master.sh"
        
minSdkVersion 17
        targetSdkVersion 24
        versionCode 1
        versionName 
"1.0"
    
}
    
buildTypes {
        
release {
            
minifyEnabled false
            proguardFiles getDefaultProguardFile
('proguard-android.txt'), 'proguard-rules.pro'
        
}
    }
}

dependencies {
    
compile fileTree(include: ['*.jar'], dir'libs')
    
compile 'com.android.support:appcompat-v7:24.1.1'

کسی میتونه توو امولاتور کمک کنه؟
  پاسخ
تشکر شده توسط :
#2
برای گرفتن راهنمایی، خطا رو همیشه اعلام کن.
وبلاگ: Yousha.Blog.ir


 کد کمتر => خطای کمتر => قابل فهمتر => خوانایی بالاتر => نگهداری بهتر

  پاسخ
تشکر شده توسط :
#3
بله-خطایی که میده اینه:
من از املاتور نسخه n
api N
استفاده میکنم.
کد پی‌اچ‌پی:
[color=#FF6347]03:52:12 PM SAXParseException: cvc-enumeration-valid: Value '360dpi' is not facet-valid with respect to enumeration '[ldpi, mdpi, tvdpi, hdpi, 280dpi, xhdpi, 400dpi, xxhdpi, 560dpi, xxxhdpi]'. It must be a value from the enumeration.[/color] 

اینم تصویر ارور در اندروید استودیو.
البته این ارور دو تیکه بود-با فتوشاپ یکسره کردمش تا همه ارور ها دیده بشه
[عکس: Untitled_3_copy.jpg]
  پاسخ
تشکر شده توسط :
#4
از Genymotion استفاده می کنی؟

با دقت بخون:
- مطمعن شو که USB Debugging در اون امولاتور فعال باشه!
- یا برو به مسیر Android\sdk\system-images\android-23\android-wear\armeabi-v7a\ و فایل devices.xml رو با ویرایشگر باز کن. بعد بدنبال 360dpi بگرد و با 360hdpi جایگزینش کن. همچنین برو به مسیر Android\sdk\system-images\android-23\android-wear\x86\ و فایل devices.xml رو با ویرایشگر باز کن. بعد بدنبال 360dpi بگرد و با 360hdpi جایگزینش کن. حالا همه برنامه هارو ببند و دوباره باز کن و تست کن. (اگر درست نشد 360xhdpi رو جایگزینشون کن.)
- یا فایل devices.xml رو در مسیر Android\sdk\system-images\android-23\android-wear\armeabi-v7a\ و مسیر Android\sdk\system-images\android-23\android-wear\x86\ حذف کن.
- یا برنامه Android SDK رو باز کن و پکیج های Android Wear ARM و Android Wear Intel x86 Atom رو Uninstall کن.
- یا کلاً پوشه android-wear در مسیر \Android\sdk\system-images\android-23 رو حذف کن.
وبلاگ: Yousha.Blog.ir


 کد کمتر => خطای کمتر => قابل فهمتر => خوانایی بالاتر => نگهداری بهتر

  پاسخ
تشکر شده توسط :


پرش به انجمن:


کاربران در حال بازدید این موضوع: 1 مهمان